Bug 606473 - [abrt] crash in paraview-3.6.2-3.fc13: Process /usr/lib64/paraview/pvserver-real was killed by signal 11 (SIGSEGV)
[abrt] crash in paraview-3.6.2-3.fc13: Process /usr/lib64/paraview/pvserver-r...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: paraview (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
abrt_hash:27e27fa18d345e7ac0b944de3d7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-21 14:05 EDT by Jimmy Dorff
Modified: 2010-07-16 14:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: paraview-3.8.0-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-15 16:07:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (14.02 KB, text/plain)
2010-06-21 14:05 EDT, Jimmy Dorff
no flags Details

  None (edit)
Description Jimmy Dorff 2010-06-21 14:05:10 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/paraview/pvserver-real
component: paraview
executable: /usr/lib64/paraview/pvserver-real
global_uuid: 27e27fa18d345e7ac0b944de3d79514137ba8176
kernel: 2.6.33.5-124.fc13.x86_64
package: paraview-3.6.2-3.fc13
rating: 3
reason: Process /usr/lib64/paraview/pvserver-real was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

comment
-----
Please note that the same files can be processed using standalone mode without any error.
Also, I can start the server with "--use-offscreen-rendering" and this problem doesn't occur.

Note that I removed the use of OpenMPI to simplify this test / bug.
Also note that all binaries are from Fedora repos and are in a very standard Fedora install.

How to reproduce
-----
1. Manually start pvserver with command "pvserver"
2. Open XDMF data file in paraview client running in client / server mode. 
3. Set a threshold value, apply and switch to a "Volume" rendering.
4. The server will open a "Visualiztion Toolkit - OpenGL" window and then core dump
Comment 1 Jimmy Dorff 2010-06-21 14:05:14 EDT
Created attachment 425710 [details]
File: backtrace
Comment 2 Orion Poplawski 2010-06-29 19:00:06 EDT
Can you test with this update: http://admin.fedoraproject.org/updates/paraview-3.8.0-2.fc13
Comment 3 Jimmy Dorff 2010-07-14 17:02:43 EDT
testing with:
paraview-3.8.0-2.fc13.x86_64
2.6.33.6-147.fc13.x86_64
kmod-nvidia-2.6.33.6-147.fc13.x86_64-195.36.31-1.fc13.1.x86_64

Now I get a different behavior. When paraview tries to render it locks up and doesn't repaint it's window. I see this in both standalone and client/server usage. 

If I run standalone over remote X11, then it seems to work fine.
Comment 4 Orion Poplawski 2010-07-14 17:59:37 EDT
Let me know if you can reproduce without the rpmfusion nvidia driver.
Comment 5 Jimmy Dorff 2010-07-15 15:53:09 EDT
Retested. I don't see the problem with nouveau and paraview-3.8.0-2. Of course, I don't think there is any 3D acceleration with this config, so it's not optimal.
Comment 6 Jimmy Dorff 2010-07-15 15:54:13 EDT
I should note that the original bug in 3.6.2 occurs with nouveau and the nvidia driver.
Comment 7 Orion Poplawski 2010-07-15 16:07:10 EDT
Okay.  Can't support nvidia driver, sorry.
Comment 8 Jimmy Dorff 2010-07-15 16:27:29 EDT
(In reply to comment #7)
> Okay.  Can't support nvidia driver, sorry.    

I know, you fixed the 3.6.2 issue by updating to 3.8
Comment 9 Fedora Update System 2010-07-15 16:34:31 EDT
paraview-3.8.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/paraview-3.8.0-2.fc13
Comment 10 Fedora Update System 2010-07-16 14:51:48 EDT
paraview-3.8.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.